> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Setup your OneLoop account

> Let's get you up and running quickly.

Before you can start using Oneloop, you will need to create an account with Oneloop and set up a workspace in the Oneloop Dashboard.

<Info>
  If you are looking to migrate your existing issued API Keys to Oneloop, please
  refer to our [migration guide](/documentation/migration).
</Info>

<Steps titleSize="h3">
  <Step title="Sign in">Sign in to your Oneloop account. If you don't have an account, you can [sign up](https://dashboard.oneloop.ai) for a free account</Step>

  <Step title="Create a Oneloop Workspace">
    Create a workspace in the dashboard. A workspace is a logical seperation for your API authentication. For example, you can have a workspace for your test environment and another for your production environment.

    To learn more about workspaces, check out the [Workspace](/documentation/concepts/workspace) documentation.
  </Step>

  <Step title="Generate SDK Key">
    Create a SDK Key in the Dashboard. This key will be used to authenticate your Oneloop SDKs. SDk Key are shared across multiple workspaces and used as bearer tokens.

    To learn more about SDK Key, check out the [SDK Keys](/documentation/concepts/sdk-keys) documentation.
  </Step>

  <Step title="Generate API Key">
    Create an API Key in the Dashboard. This key will be used to authenticate your API endpoints. API Keys are unique to a workspace.

    To learn more about API Key, check out the [API Keys](/documentation/concepts/api-keys) documentation.
  </Step>

  <Step title="Add Oneloop to your code">
    Use onf of our SDKs or APIs, along with the SDK Key to generate, delete, verify api keys in realtime

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST 'https://prod.oneloop.ai/api/v1/api-key/verify' \
      -H 'Authorization: Bearer <SDK-Key>' \
      -H 'Content-Type: application/json' \
      --data '{ "key": "<API-Key>", "requestedScopes": [] }'
      ```

      ```typescript typescript theme={null}
      import { OneloopClient } from "@oneloop-hq/oneloop-ts";

      const oneloop = new OneloopClient({
        token: process.env.ONELOOP_SDK_KEY ?? "",
      });

      oneloop.verifyApiKey({
        key: "<API-Key>",
        requestedScopes: [],
      });
      ```

      ```python python theme={null}
      from oneloop_client.client import OneloopApi

      oneloop = OneloopApi(token="your-oneloop-api-key")

      oneloop.verify_api_key(
        key="<API-Key>",
        requested_scopes=[]
      )
      ```
    </CodeGroup>
  </Step>
</Steps>
